Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.bcpg
Class CRC24

    java.lang.Object
      org.bouncycastle.bcpg.CRC24

    public class CRC24

extends java.lang.Object

Constructor Summary
`CRC24()`

Method Summary
`int` | `getValue()`
`void` | `reset()`
`void` | `update(int b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CRC24

    public CRC24()

Method Detail

### update

    public void update(int b)

### getValue

    public int getValue()

### reset

    public void reset()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD